Inbox · Comments
Fetches post comments.
Request
Send your API key as Authorization: Bearer pz_live_.... Read-only keys can call it. Keys with the engagement resource group disabled get 403 resource_group_disabled. Authentication
Path parameters
| Name | Type | Notes |
|---|---|---|
postIdrequired | string |
Query parameters
| Name | Type | Notes |
|---|---|---|
accountIdrequired | string | |
subreddit | string | |
limit | integer | Default 251 to 100 |
cursor | string | |
commentId | string |
Example
curl -X GET "https://api.pozy.ai/v1/inbox/comments/6108a2cc742cb4e991051e0c?accountId=696e0b682d0a31188e7a2ba9&limit=25" \
-H "Authorization: Bearer $POZY_API_KEY"const res = await fetch("https://api.pozy.ai/v1/inbox/comments/6108a2cc742cb4e991051e0c?accountId=696e0b682d0a31188e7a2ba9&limit=25", {
headers: { Authorization: `Bearer ${process.env.POZY_API_KEY}` },
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);import os
import requests
resp = requests.get(
"https://api.pozy.ai/v1/inbox/comments/6108a2cc742cb4e991051e0c",
headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
params={
"accountId": "696e0b682d0a31188e7a2ba9",
"limit": 25,
},
timeout=30,
)
resp.raise_for_status()
print(resp.json())Response
200 on success
statusstringcommentsarray of object21 child fields
idstringmessagestringcreatedTimestring (date-time)fromobject6 child fields
idstringnamestringusernamestringpicturestringCan be null.
isOwnerbooleanverifiedTypestringOne of
blue,government,business,none. Can be null.
likeCountintegerreplyCountintegerplatformstringurlstringCan be null.
repliesarray of objectrepliesHasMorebooleancanReplybooleancanDeletebooleancanHidebooleancanLikebooleanisHiddenbooleanisLikedbooleanlikeUristringCan be null.
cidstringCan be null.
parentIdstringCan be null.
rootUristringCan be null.
rootCidstringCan be null.
postobjectOne of:
Reddit post (15 fields)
idstringfullnamestringtitlestringselftextstringauthorstringsubredditstringpermalinkstringurlstringscoreintegernumCommentsintegercreatedUtcintegerover18booleanstickiedbooleanflairTextstringCan be null.
isGalleryboolean
Facebook or Instagram post (8 fields)
idstringrequiredpermalinkstring (URL)requiredCan be null.
textstringrequiredCan be null.
thumbnailUrlstring (URL)requiredCan be null.
mediaUrlstring (URL)requiredCan be null.
mediaTypestringrequiredCan be null.
productTypestringrequiredCan be null.
createdAtstringrequiredCan be null.
commentobjectpaginationobjecthasMorebooleancursorstringCan be null.
metaobject7 child fields
platformstringpostIdstringaccountIdstringsubredditstringCan be null.
postUrnstringlastUpdatedstring (date-time)adCommentsobjectCan be null.
2 child fields
adIdstringadCommentsUrlstring
200 response
{
"status": "active",
"comments": [
{
"id": "6bfebd43ddc270f6d2c56fc5",
"message": "Hello from Pozy",
"createdTime": "2026-10-02T09:00:00.000Z",
"from": {
"id": "6bfebd43ddc270f6d2c56fc5",
"name": "Acme",
"username": "acme",
"picture": "string",
"isOwner": true,
"verifiedType": "blue"
},
"likeCount": 42,
"replyCount": 42,
"platform": "instagram",
"url": "https://pozy.ai/media/example-1.jpg",
"replies": [
{}
],
"repliesHasMore": true,
"canReply": true,
"canDelete": true,
"canHide": true,
"canLike": true,
"isHidden": true,
"isLiked": true,
"likeUri": "string",
"cid": "60cc682239f4a5a15c99a784",
"parentId": "6009d4193e17fdf7d162c048",
"rootUri": "string",
"rootCid": "683be26dab6414721254fc12"
}
],
"post": {
"id": "6bfebd43ddc270f6d2c56fc5",
"fullname": "Acme",
"title": "Launch day",
"selftext": "Hello from Pozy",
"author": "string",
"subreddit": "string",
"permalink": "string",
"url": "https://pozy.ai/media/example-1.jpg",
"score": 1,
"numComments": 1,
"createdUtc": 1,
"over18": true,
"stickied": true,
"flairText": "Hello from Pozy",
"isGallery": true
},
"comment": {},
"pagination": {
"hasMore": true,
"cursor": "string"
},
"meta": {
"platform": "instagram",
"postId": "6108a2cc742cb4e991051e0c",
"accountId": "696e0b682d0a31188e7a2ba9",
"subreddit": "string",
"postUrn": "string",
"lastUpdated": "2026-10-02T09:00:00.000Z",
"adComments": {
"adId": "6f40fa2fb0a7e728dd1a73b7",
"adCommentsUrl": "https://pozy.ai/media/example-1.jpg"
}
}
}Errors
Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:
| 400 | invalid_request_error | A parameter or body field is missing or invalid. param names it. |
| 401 | authentication_error | The API key is missing, revoked or expired. |
| 403 | permission_error | The key is scoped to other profiles or has this resource group disabled. |
| 404 | not_found | Nothing with that id exists in your workspace. |
| 429 | rate_limit_error | Too many requests this minute. Wait for Retry-After seconds. |
Every code is listed in Errors.